Go to the latest version of this document.

# ``twisted`.`protocols`.`ftp`.`DTPFactory``

class documentation

`class DTPFactory(protocol.ClientFactory): (source)`

Constructor: `DTPFactory(pi, peerHost, reactor)`

View In Hierarchy

Client factory for data transfer process protocols.

Method | `__init__` | Constructor
Method | `buildProtocol` | Create an instance of a subclass of Protocol.
Method | `cancelTimeout` | Undocumented
Method | `clientConnectionFailed` | Called when a connection has failed to connect.
Method | `setTimeout` | Undocumented
Method | `stopFactory` | This will be called before I stop listening on all Ports/Connectors.
Method | `timeoutFactory` | Undocumented
Instance Variable | `deferred` | Undocumented
Instance Variable | `delayedCall` | Undocumented
Instance Variable | `peerCheck` | perform checks to make sure the ftp-pi's peer is the same as the dtp's
Instance Variable | `peerHost` | Undocumented
Instance Variable | `pi` | a reference to this factory's protocol interpreter
Constant | `_FAILED` | Token to signal that connection has failed.
Constant | `_FINISHED` | Token to signal that connection was successfully closed.
Constant | `_IN_PROGRESS` | Token to signal that connection is active.
Instance Variable | `_reactor` | Undocumented
Instance Variable | `_state` | Indicates the current state of the DTPFactory. Initially, this is `_IN_PROGRESS`. If the connection fails or times out, it is `_FAILED`. If the connection succeeds before the timeout, it is `_FINISHED`.

Inherited from `ClientFactory`:

Method | `clientConnectionLost` | Called when an established connection is lost.
Method | `startedConnecting` | Called when a connection has been started.

Inherited from `Factory` (via `ClientFactory`):

Class Method | `forProtocol` | Create a factory for the given protocol.
Method | `doStart` | Make sure startFactory is called.
Method | `doStop` | Make sure stopFactory is called.
Method | `logPrefix` | Describe this factory for log messages.
Method | `startFactory` | This will be called before I begin listening on a Port or Connector.
Class Variable | `noisy` | Undocumented
Class Variable | `protocol` | Undocumented
Instance Variable | `numPorts` | Undocumented

def __init__(self, pi, peerHost=None, reactor=None): (source)

Constructor

Parameters
pi | this factory's protocol interpreter
peerHost | if peerCheck is True, this is the tuple that the generated instance will use to perform security checks
reactor | Undocumented

def buildProtocol(self, addr): (source)
from `twisted.internet.interfaces.IProtocolFactory`
overrides `twisted.internet.protocol.Factory.buildProtocol`

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Alternatively, `None` may be returned to immediately close the new connection.

Override this method to alter how Protocol instances get created.

Parameters
addr | an object implementing `IAddress`

def cancelTimeout(self): (source)

Undocumented

def clientConnectionFailed(self, connector, reason): (source)
overrides `twisted.internet.protocol.ClientFactory.clientConnectionFailed`

Called when a connection has failed to connect.

It may be useful to call connector.connect() - this will reconnect.

def setTimeout(self, seconds): (source)

Undocumented

def stopFactory(self): (source)
overrides `twisted.internet.protocol.Factory.stopFactory`

This will be called before I stop listening on all Ports/Connectors.

This can be overridden to perform 'shutdown' tasks such as disconnecting database connections, closing files, etc.

It will be called, for example, before an application shuts down, if it was connected to a port. User code should not call this function directly.

def timeoutFactory(self): (source)

Undocumented

deferred = (source)

Undocumented

delayedCall = (source)

Undocumented

peerCheck: `bool` = (source)

perform checks to make sure the ftp-pi's peer is the same as the dtp's

peerHost = (source)

Undocumented

pi = (source)

a reference to this factory's protocol interpreter

_FAILED: `object`. = (source)

Token to signal that connection has failed.

Value

    object()

_FINISHED: `object`. = (source)

Token to signal that connection was successfully closed.

Value

    object()

_IN_PROGRESS: `object`. = (source)

Token to signal that connection is active.

Value

    object()

_reactor = (source)

Undocumented

_state = (source)

Indicates the current state of the DTPFactory. Initially, this is `_IN_PROGRESS`. If the connection fails or times out, it is `_FAILED`. If the connection succeeds before the timeout, it is `_FINISHED`.